Spigot [1.11.x] Captcha AFK [NOW WITH CUSTOM PERMISSIONSEX / KICK COMMAND] 1.4.1

The people's AFK

  1. KyleMan submitted a new resource:

    Captcha AFK - Keeps your economy in check

    Read more about this resource...
     
  2. Hey, Does this stop people AFK Pooling?
     
  3. yes
     
  4. hey does this plugin use yaw and pitch
     
  5. wait no
     
  6. KyleMan updated Captcha AFK with a new update entry:

    NOW WITH PERMISSIONS! AND MUCH MORE CONFIGS/COLOR CODES/VARIABLES!

    Read the rest of this update entry...
     
  7. @KyleMan

    Is it possible to add ActionBar support to show the word to enter in the chat, instead of showing this work in the title?
     
  8. I will see about adding this in next version. As of now, it cannot. Thanks for the idea!
     
    • Like Like x 1
  9. Would you consider adding a /afk reload option or maybe something less conflicting like /captcha reload? saves me having to reboot the server everytime i adjust the config.
     
  10. Funny thing was I just added that! That will be in the next update, which will be released withing a day
     
  11. Hey guys! I an see people actually enjoy my plugin! Thanks so much, this is my first plugin. Now, I want some ideas on what to add, other than a reload command (added) and the Capatcha in the action bar. These will be in the next update, which will be available soon. I just want more to add before another update. Also, please tell me any bugs you find! Thanks
     
  12. ERROR :(

    [17:18:56] [Server thread/WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:91)
    [17:18:56] [Server thread/WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)
    [17:18:56] [Server thread/WARN]: at java.lang.ClassLoader.loadClass(Unknown Source)
    [17:18:56] [Server thread/WARN]: at java.lang.ClassLoader.loadClass(Unknown Source)
    [17:18:56] [Server thread/WARN]: at java.lang.Class.forName0(Native Method)
    [17:18:56] [Server thread/WARN]: at java.lang.Class.forName(Unknown Source)
    [17:18:56] [Server thread/WARN]: at io.github.KyleMan736.AFK.Title.getNMSClass(Title.java:390)
    [17:18:56] [Server thread/WARN]: at io.github.KyleMan736.AFK.Title.loadClasses(Title.java:119)
    [17:18:56] [Server thread/WARN]: at io.github.KyleMan736.AFK.Title.<init>(Title.java:66)
    [17:18:56] [Server thread/WARN]: at io.github.KyleMan736.AFK.Main.check(Main.java:196)
    [17:18:56] [Server thread/WARN]: at io.github.KyleMan736.AFK.Main$1.run(Main.java:65)
    [17:18:56] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R1.scheduler.CraftTask.run(CraftTask.java:71)
    [17:18:56] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:350)
    [17:18:56] [Server thread/WARN]: at net.minecraft.server.v1_8_R1.MinecraftServer.z(MinecraftServer.java:709)
    [17:18:56] [Server thread/WARN]: at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:316)
    [17:18:56] [Server thread/WARN]: at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:634)
    [17:18:56] [Server thread/WARN]: at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:537)
    [17:18:56] [Server thread/WARN]: at java.lang.Thread.run(Unknown Source)
     
  13. Ok so I will help you. First, as far as I can tell, this is just your problem. Try Deleting your config and keeping a fresh new one. Did you update the plugin? Are you running the latest Spigot? In better terms, what did you do to cause this error?
     
    #14 KyleMan, Jul 8, 2015
    Last edited: Jul 8, 2015
  14. I was experimenting with the plugin and the version 1.8.3 works perfect, but the 1.8 console still shows an error and does not display the Title but in the chat message if it displays messages. I hope that you can fix the error. and that you can add to modify the message when the player correctly enter the correct letters.
     
  15. I am sorry but I still do not understand how you caused the error. But, I am adding in changeable messages in the coming update. If the problem is being caused in 1.8, it is made for 1.8.7. I do not support older versions of spigot.
     
  16. If the problem is being caused in 1.8, Please add support for version 1.8, because I use plugins that are not compatible with the latest versions
     
  17. May I ask why a developer should have to make his plugin compatible with older versions of spigot if it is the other developer's fault for not updating THEIR own plugins?
     
  18. Edit : Why not add 1.7 support